Gmagick::thumbnailimage
Gmagick::write
Gmagick
PHP Manual

# Gmagick::trimimage

(PECL gmagick >= Unknown)

Gmagick::trimimage — Remove edges from the image

### Description

public Gmagick Gmagick::trimimage ( float `$fuzz` )

Remove edges that are the background color from the image.

### Parameters

`fuzz`

  By default target must match a particular pixel color exactly. However, in many cases two colors may differ by a small amount. The fuzz member of image defines how much tolerance is acceptable to consider two colors as the same. This parameter represents the variation on the quantum range.

### Return Values

The Gmagick object

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::thumbnailimage
Gmagick::write
Gmagick
PHP Manual